CUPTI (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.7. CUpti_ActivityContext Struct Reference

## [CUPTI Activity API]

This activity record represents information about a context (CUPTI_ACTIVITY_KIND_CONTEXT).

### Public Variables

uint16_t computeApiKind
uint32_t contextId
uint32_t deviceId
CUpti_ActivityKind kind
uint16_t nullStreamId

### Variables

uint16_t CUpti_ActivityContext::computeApiKind [inherited]

  The compute API kind.

  See also:

  CUpti_ActivityComputeApiKind

uint32_t CUpti_ActivityContext::contextId [inherited]

  The context ID.

uint32_t CUpti_ActivityContext::deviceId [inherited]

  The device ID.

CUpti_ActivityKind CUpti_ActivityContext::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_CONTEXT.

uint16_t CUpti_ActivityContext::nullStreamId [inherited]

  The ID for the NULL stream in this context